package cn.superdesk.uniorder.dao.entity.accounting.unified.customer;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class AccountingUnifiedCustomerOrderExample {
    /**
     *
     * table accounting_unified_customer_order
     *
     * Wed Nov 18 10:14:38 CST 2020
     */
    protected String orderByClause;

    /**
     *
     * table accounting_unified_customer_order
     *
     * Wed Nov 18 10:14:38 CST 2020
     */
    protected boolean distinct;

    /**
     *
     * table accounting_unified_customer_order
     *
     * Wed Nov 18 10:14:38 CST 2020
     */
    protected List<Criteria> oredCriteria;

    /**
     *
     * table accounting_unified_customer_order
     *
     * Wed Nov 18 10:14:38 CST 2020
     */
    public AccountingUnifiedCustomerOrderExample() {
        oredCriteria = new ArrayList<>();
    }

    /**
     *
     * table accounting_unified_customer_order
     *
     * Wed Nov 18 10:14:38 CST 2020
     */
    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    /**
     *
     * table accounting_unified_customer_order
     *
     * Wed Nov 18 10:14:38 CST 2020
     */
    public String getOrderByClause() {
        return orderByClause;
    }

    /**
     *
     * table accounting_unified_customer_order
     *
     * Wed Nov 18 10:14:38 CST 2020
     */
    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    /**
     *
     * table accounting_unified_customer_order
     *
     * Wed Nov 18 10:14:38 CST 2020
     */
    public boolean isDistinct() {
        return distinct;
    }

    /**
     *
     * table accounting_unified_customer_order
     *
     * Wed Nov 18 10:14:38 CST 2020
     */
    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    /**
     *
     * table accounting_unified_customer_order
     *
     * Wed Nov 18 10:14:38 CST 2020
     */
    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    /**
     *
     * table accounting_unified_customer_order
     *
     * Wed Nov 18 10:14:38 CST 2020
     */
    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    /**
     *
     * table accounting_unified_customer_order
     *
     * Wed Nov 18 10:14:38 CST 2020
     */
    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    /**
     *
     * table accounting_unified_customer_order
     *
     * Wed Nov 18 10:14:38 CST 2020
     */
    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    /**
     *
     * table accounting_unified_customer_order
     *
     * Wed Nov 18 10:14:38 CST 2020
     */
    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    /**
     *
     * table accounting_unified_customer_order
     *
     * Wed Nov 18 10:14:38 CST 2020
     */
    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(Long value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(Long value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(Long value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(Long value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(Long value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(Long value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<Long> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<Long> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(Long value1, Long value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(Long value1, Long value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andDzIdIsNull() {
            addCriterion("dz_id is null");
            return (Criteria) this;
        }

        public Criteria andDzIdIsNotNull() {
            addCriterion("dz_id is not null");
            return (Criteria) this;
        }

        public Criteria andDzIdEqualTo(Long value) {
            addCriterion("dz_id =", value, "dzId");
            return (Criteria) this;
        }

        public Criteria andDzIdNotEqualTo(Long value) {
            addCriterion("dz_id <>", value, "dzId");
            return (Criteria) this;
        }

        public Criteria andDzIdGreaterThan(Long value) {
            addCriterion("dz_id >", value, "dzId");
            return (Criteria) this;
        }

        public Criteria andDzIdGreaterThanOrEqualTo(Long value) {
            addCriterion("dz_id >=", value, "dzId");
            return (Criteria) this;
        }

        public Criteria andDzIdLessThan(Long value) {
            addCriterion("dz_id <", value, "dzId");
            return (Criteria) this;
        }

        public Criteria andDzIdLessThanOrEqualTo(Long value) {
            addCriterion("dz_id <=", value, "dzId");
            return (Criteria) this;
        }

        public Criteria andDzIdIn(List<Long> values) {
            addCriterion("dz_id in", values, "dzId");
            return (Criteria) this;
        }

        public Criteria andDzIdNotIn(List<Long> values) {
            addCriterion("dz_id not in", values, "dzId");
            return (Criteria) this;
        }

        public Criteria andDzIdBetween(Long value1, Long value2) {
            addCriterion("dz_id between", value1, value2, "dzId");
            return (Criteria) this;
        }

        public Criteria andDzIdNotBetween(Long value1, Long value2) {
            addCriterion("dz_id not between", value1, value2, "dzId");
            return (Criteria) this;
        }

        public Criteria andOrderIdIsNull() {
            addCriterion("order_id is null");
            return (Criteria) this;
        }

        public Criteria andOrderIdIsNotNull() {
            addCriterion("order_id is not null");
            return (Criteria) this;
        }

        public Criteria andOrderIdEqualTo(Long value) {
            addCriterion("order_id =", value, "orderId");
            return (Criteria) this;
        }

        public Criteria andOrderIdNotEqualTo(Long value) {
            addCriterion("order_id <>", value, "orderId");
            return (Criteria) this;
        }

        public Criteria andOrderIdGreaterThan(Long value) {
            addCriterion("order_id >", value, "orderId");
            return (Criteria) this;
        }

        public Criteria andOrderIdGreaterThanOrEqualTo(Long value) {
            addCriterion("order_id >=", value, "orderId");
            return (Criteria) this;
        }

        public Criteria andOrderIdLessThan(Long value) {
            addCriterion("order_id <", value, "orderId");
            return (Criteria) this;
        }

        public Criteria andOrderIdLessThanOrEqualTo(Long value) {
            addCriterion("order_id <=", value, "orderId");
            return (Criteria) this;
        }

        public Criteria andOrderIdIn(List<Long> values) {
            addCriterion("order_id in", values, "orderId");
            return (Criteria) this;
        }

        public Criteria andOrderIdNotIn(List<Long> values) {
            addCriterion("order_id not in", values, "orderId");
            return (Criteria) this;
        }

        public Criteria andOrderIdBetween(Long value1, Long value2) {
            addCriterion("order_id between", value1, value2, "orderId");
            return (Criteria) this;
        }

        public Criteria andOrderIdNotBetween(Long value1, Long value2) {
            addCriterion("order_id not between", value1, value2, "orderId");
            return (Criteria) this;
        }

        public Criteria andOrderSnIsNull() {
            addCriterion("order_sn is null");
            return (Criteria) this;
        }

        public Criteria andOrderSnIsNotNull() {
            addCriterion("order_sn is not null");
            return (Criteria) this;
        }

        public Criteria andOrderSnEqualTo(String value) {
            addCriterion("order_sn =", value, "orderSn");
            return (Criteria) this;
        }

        public Criteria andOrderSnNotEqualTo(String value) {
            addCriterion("order_sn <>", value, "orderSn");
            return (Criteria) this;
        }

        public Criteria andOrderSnGreaterThan(String value) {
            addCriterion("order_sn >", value, "orderSn");
            return (Criteria) this;
        }

        public Criteria andOrderSnGreaterThanOrEqualTo(String value) {
            addCriterion("order_sn >=", value, "orderSn");
            return (Criteria) this;
        }

        public Criteria andOrderSnLessThan(String value) {
            addCriterion("order_sn <", value, "orderSn");
            return (Criteria) this;
        }

        public Criteria andOrderSnLessThanOrEqualTo(String value) {
            addCriterion("order_sn <=", value, "orderSn");
            return (Criteria) this;
        }

        public Criteria andOrderSnLike(String value) {
            addCriterion("order_sn like", value, "orderSn");
            return (Criteria) this;
        }

        public Criteria andOrderSnNotLike(String value) {
            addCriterion("order_sn not like", value, "orderSn");
            return (Criteria) this;
        }

        public Criteria andOrderSnIn(List<String> values) {
            addCriterion("order_sn in", values, "orderSn");
            return (Criteria) this;
        }

        public Criteria andOrderSnNotIn(List<String> values) {
            addCriterion("order_sn not in", values, "orderSn");
            return (Criteria) this;
        }

        public Criteria andOrderSnBetween(String value1, String value2) {
            addCriterion("order_sn between", value1, value2, "orderSn");
            return (Criteria) this;
        }

        public Criteria andOrderSnNotBetween(String value1, String value2) {
            addCriterion("order_sn not between", value1, value2, "orderSn");
            return (Criteria) this;
        }

        public Criteria andParentOrderIdIsNull() {
            addCriterion("parent_order_id is null");
            return (Criteria) this;
        }

        public Criteria andParentOrderIdIsNotNull() {
            addCriterion("parent_order_id is not null");
            return (Criteria) this;
        }

        public Criteria andParentOrderIdEqualTo(Integer value) {
            addCriterion("parent_order_id =", value, "parentOrderId");
            return (Criteria) this;
        }

        public Criteria andParentOrderIdNotEqualTo(Integer value) {
            addCriterion("parent_order_id <>", value, "parentOrderId");
            return (Criteria) this;
        }

        public Criteria andParentOrderIdGreaterThan(Integer value) {
            addCriterion("parent_order_id >", value, "parentOrderId");
            return (Criteria) this;
        }

        public Criteria andParentOrderIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("parent_order_id >=", value, "parentOrderId");
            return (Criteria) this;
        }

        public Criteria andParentOrderIdLessThan(Integer value) {
            addCriterion("parent_order_id <", value, "parentOrderId");
            return (Criteria) this;
        }

        public Criteria andParentOrderIdLessThanOrEqualTo(Integer value) {
            addCriterion("parent_order_id <=", value, "parentOrderId");
            return (Criteria) this;
        }

        public Criteria andParentOrderIdIn(List<Integer> values) {
            addCriterion("parent_order_id in", values, "parentOrderId");
            return (Criteria) this;
        }

        public Criteria andParentOrderIdNotIn(List<Integer> values) {
            addCriterion("parent_order_id not in", values, "parentOrderId");
            return (Criteria) this;
        }

        public Criteria andParentOrderIdBetween(Integer value1, Integer value2) {
            addCriterion("parent_order_id between", value1, value2, "parentOrderId");
            return (Criteria) this;
        }

        public Criteria andParentOrderIdNotBetween(Integer value1, Integer value2) {
            addCriterion("parent_order_id not between", value1, value2, "parentOrderId");
            return (Criteria) this;
        }

        public Criteria andParentOrderSnIsNull() {
            addCriterion("parent_order_sn is null");
            return (Criteria) this;
        }

        public Criteria andParentOrderSnIsNotNull() {
            addCriterion("parent_order_sn is not null");
            return (Criteria) this;
        }

        public Criteria andParentOrderSnEqualTo(String value) {
            addCriterion("parent_order_sn =", value, "parentOrderSn");
            return (Criteria) this;
        }

        public Criteria andParentOrderSnNotEqualTo(String value) {
            addCriterion("parent_order_sn <>", value, "parentOrderSn");
            return (Criteria) this;
        }

        public Criteria andParentOrderSnGreaterThan(String value) {
            addCriterion("parent_order_sn >", value, "parentOrderSn");
            return (Criteria) this;
        }

        public Criteria andParentOrderSnGreaterThanOrEqualTo(String value) {
            addCriterion("parent_order_sn >=", value, "parentOrderSn");
            return (Criteria) this;
        }

        public Criteria andParentOrderSnLessThan(String value) {
            addCriterion("parent_order_sn <", value, "parentOrderSn");
            return (Criteria) this;
        }

        public Criteria andParentOrderSnLessThanOrEqualTo(String value) {
            addCriterion("parent_order_sn <=", value, "parentOrderSn");
            return (Criteria) this;
        }

        public Criteria andParentOrderSnLike(String value) {
            addCriterion("parent_order_sn like", value, "parentOrderSn");
            return (Criteria) this;
        }

        public Criteria andParentOrderSnNotLike(String value) {
            addCriterion("parent_order_sn not like", value, "parentOrderSn");
            return (Criteria) this;
        }

        public Criteria andParentOrderSnIn(List<String> values) {
            addCriterion("parent_order_sn in", values, "parentOrderSn");
            return (Criteria) this;
        }

        public Criteria andParentOrderSnNotIn(List<String> values) {
            addCriterion("parent_order_sn not in", values, "parentOrderSn");
            return (Criteria) this;
        }

        public Criteria andParentOrderSnBetween(String value1, String value2) {
            addCriterion("parent_order_sn between", value1, value2, "parentOrderSn");
            return (Criteria) this;
        }

        public Criteria andParentOrderSnNotBetween(String value1, String value2) {
            addCriterion("parent_order_sn not between", value1, value2, "parentOrderSn");
            return (Criteria) this;
        }

        public Criteria andDetailUrlIsNull() {
            addCriterion("detail_url is null");
            return (Criteria) this;
        }

        public Criteria andDetailUrlIsNotNull() {
            addCriterion("detail_url is not null");
            return (Criteria) this;
        }

        public Criteria andDetailUrlEqualTo(String value) {
            addCriterion("detail_url =", value, "detailUrl");
            return (Criteria) this;
        }

        public Criteria andDetailUrlNotEqualTo(String value) {
            addCriterion("detail_url <>", value, "detailUrl");
            return (Criteria) this;
        }

        public Criteria andDetailUrlGreaterThan(String value) {
            addCriterion("detail_url >", value, "detailUrl");
            return (Criteria) this;
        }

        public Criteria andDetailUrlGreaterThanOrEqualTo(String value) {
            addCriterion("detail_url >=", value, "detailUrl");
            return (Criteria) this;
        }

        public Criteria andDetailUrlLessThan(String value) {
            addCriterion("detail_url <", value, "detailUrl");
            return (Criteria) this;
        }

        public Criteria andDetailUrlLessThanOrEqualTo(String value) {
            addCriterion("detail_url <=", value, "detailUrl");
            return (Criteria) this;
        }

        public Criteria andDetailUrlLike(String value) {
            addCriterion("detail_url like", value, "detailUrl");
            return (Criteria) this;
        }

        public Criteria andDetailUrlNotLike(String value) {
            addCriterion("detail_url not like", value, "detailUrl");
            return (Criteria) this;
        }

        public Criteria andDetailUrlIn(List<String> values) {
            addCriterion("detail_url in", values, "detailUrl");
            return (Criteria) this;
        }

        public Criteria andDetailUrlNotIn(List<String> values) {
            addCriterion("detail_url not in", values, "detailUrl");
            return (Criteria) this;
        }

        public Criteria andDetailUrlBetween(String value1, String value2) {
            addCriterion("detail_url between", value1, value2, "detailUrl");
            return (Criteria) this;
        }

        public Criteria andDetailUrlNotBetween(String value1, String value2) {
            addCriterion("detail_url not between", value1, value2, "detailUrl");
            return (Criteria) this;
        }

        public Criteria andPriceIsNull() {
            addCriterion("price is null");
            return (Criteria) this;
        }

        public Criteria andPriceIsNotNull() {
            addCriterion("price is not null");
            return (Criteria) this;
        }

        public Criteria andPriceEqualTo(BigDecimal value) {
            addCriterion("price =", value, "price");
            return (Criteria) this;
        }

        public Criteria andPriceNotEqualTo(BigDecimal value) {
            addCriterion("price <>", value, "price");
            return (Criteria) this;
        }

        public Criteria andPriceGreaterThan(BigDecimal value) {
            addCriterion("price >", value, "price");
            return (Criteria) this;
        }

        public Criteria andPriceGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("price >=", value, "price");
            return (Criteria) this;
        }

        public Criteria andPriceLessThan(BigDecimal value) {
            addCriterion("price <", value, "price");
            return (Criteria) this;
        }

        public Criteria andPriceLessThanOrEqualTo(BigDecimal value) {
            addCriterion("price <=", value, "price");
            return (Criteria) this;
        }

        public Criteria andPriceIn(List<BigDecimal> values) {
            addCriterion("price in", values, "price");
            return (Criteria) this;
        }

        public Criteria andPriceNotIn(List<BigDecimal> values) {
            addCriterion("price not in", values, "price");
            return (Criteria) this;
        }

        public Criteria andPriceBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("price between", value1, value2, "price");
            return (Criteria) this;
        }

        public Criteria andPriceNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("price not between", value1, value2, "price");
            return (Criteria) this;
        }

        public Criteria andDispatchNameIsNull() {
            addCriterion("dispatch_name is null");
            return (Criteria) this;
        }

        public Criteria andDispatchNameIsNotNull() {
            addCriterion("dispatch_name is not null");
            return (Criteria) this;
        }

        public Criteria andDispatchNameEqualTo(String value) {
            addCriterion("dispatch_name =", value, "dispatchName");
            return (Criteria) this;
        }

        public Criteria andDispatchNameNotEqualTo(String value) {
            addCriterion("dispatch_name <>", value, "dispatchName");
            return (Criteria) this;
        }

        public Criteria andDispatchNameGreaterThan(String value) {
            addCriterion("dispatch_name >", value, "dispatchName");
            return (Criteria) this;
        }

        public Criteria andDispatchNameGreaterThanOrEqualTo(String value) {
            addCriterion("dispatch_name >=", value, "dispatchName");
            return (Criteria) this;
        }

        public Criteria andDispatchNameLessThan(String value) {
            addCriterion("dispatch_name <", value, "dispatchName");
            return (Criteria) this;
        }

        public Criteria andDispatchNameLessThanOrEqualTo(String value) {
            addCriterion("dispatch_name <=", value, "dispatchName");
            return (Criteria) this;
        }

        public Criteria andDispatchNameLike(String value) {
            addCriterion("dispatch_name like", value, "dispatchName");
            return (Criteria) this;
        }

        public Criteria andDispatchNameNotLike(String value) {
            addCriterion("dispatch_name not like", value, "dispatchName");
            return (Criteria) this;
        }

        public Criteria andDispatchNameIn(List<String> values) {
            addCriterion("dispatch_name in", values, "dispatchName");
            return (Criteria) this;
        }

        public Criteria andDispatchNameNotIn(List<String> values) {
            addCriterion("dispatch_name not in", values, "dispatchName");
            return (Criteria) this;
        }

        public Criteria andDispatchNameBetween(String value1, String value2) {
            addCriterion("dispatch_name between", value1, value2, "dispatchName");
            return (Criteria) this;
        }

        public Criteria andDispatchNameNotBetween(String value1, String value2) {
            addCriterion("dispatch_name not between", value1, value2, "dispatchName");
            return (Criteria) this;
        }

        public Criteria andDispatchPriceIsNull() {
            addCriterion("dispatch_price is null");
            return (Criteria) this;
        }

        public Criteria andDispatchPriceIsNotNull() {
            addCriterion("dispatch_price is not null");
            return (Criteria) this;
        }

        public Criteria andDispatchPriceEqualTo(BigDecimal value) {
            addCriterion("dispatch_price =", value, "dispatchPrice");
            return (Criteria) this;
        }

        public Criteria andDispatchPriceNotEqualTo(BigDecimal value) {
            addCriterion("dispatch_price <>", value, "dispatchPrice");
            return (Criteria) this;
        }

        public Criteria andDispatchPriceGreaterThan(BigDecimal value) {
            addCriterion("dispatch_price >", value, "dispatchPrice");
            return (Criteria) this;
        }

        public Criteria andDispatchPriceGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("dispatch_price >=", value, "dispatchPrice");
            return (Criteria) this;
        }

        public Criteria andDispatchPriceLessThan(BigDecimal value) {
            addCriterion("dispatch_price <", value, "dispatchPrice");
            return (Criteria) this;
        }

        public Criteria andDispatchPriceLessThanOrEqualTo(BigDecimal value) {
            addCriterion("dispatch_price <=", value, "dispatchPrice");
            return (Criteria) this;
        }

        public Criteria andDispatchPriceIn(List<BigDecimal> values) {
            addCriterion("dispatch_price in", values, "dispatchPrice");
            return (Criteria) this;
        }

        public Criteria andDispatchPriceNotIn(List<BigDecimal> values) {
            addCriterion("dispatch_price not in", values, "dispatchPrice");
            return (Criteria) this;
        }

        public Criteria andDispatchPriceBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("dispatch_price between", value1, value2, "dispatchPrice");
            return (Criteria) this;
        }

        public Criteria andDispatchPriceNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("dispatch_price not between", value1, value2, "dispatchPrice");
            return (Criteria) this;
        }

        public Criteria andOrganizationIdIsNull() {
            addCriterion("organization_id is null");
            return (Criteria) this;
        }

        public Criteria andOrganizationIdIsNotNull() {
            addCriterion("organization_id is not null");
            return (Criteria) this;
        }

        public Criteria andOrganizationIdEqualTo(Long value) {
            addCriterion("organization_id =", value, "organizationId");
            return (Criteria) this;
        }

        public Criteria andOrganizationIdNotEqualTo(Long value) {
            addCriterion("organization_id <>", value, "organizationId");
            return (Criteria) this;
        }

        public Criteria andOrganizationIdGreaterThan(Long value) {
            addCriterion("organization_id >", value, "organizationId");
            return (Criteria) this;
        }

        public Criteria andOrganizationIdGreaterThanOrEqualTo(Long value) {
            addCriterion("organization_id >=", value, "organizationId");
            return (Criteria) this;
        }

        public Criteria andOrganizationIdLessThan(Long value) {
            addCriterion("organization_id <", value, "organizationId");
            return (Criteria) this;
        }

        public Criteria andOrganizationIdLessThanOrEqualTo(Long value) {
            addCriterion("organization_id <=", value, "organizationId");
            return (Criteria) this;
        }

        public Criteria andOrganizationIdIn(List<Long> values) {
            addCriterion("organization_id in", values, "organizationId");
            return (Criteria) this;
        }

        public Criteria andOrganizationIdNotIn(List<Long> values) {
            addCriterion("organization_id not in", values, "organizationId");
            return (Criteria) this;
        }

        public Criteria andOrganizationIdBetween(Long value1, Long value2) {
            addCriterion("organization_id between", value1, value2, "organizationId");
            return (Criteria) this;
        }

        public Criteria andOrganizationIdNotBetween(Long value1, Long value2) {
            addCriterion("organization_id not between", value1, value2, "organizationId");
            return (Criteria) this;
        }

        public Criteria andEnterpriseIdIsNull() {
            addCriterion("enterprise_id is null");
            return (Criteria) this;
        }

        public Criteria andEnterpriseIdIsNotNull() {
            addCriterion("enterprise_id is not null");
            return (Criteria) this;
        }

        public Criteria andEnterpriseIdEqualTo(Long value) {
            addCriterion("enterprise_id =", value, "enterpriseId");
            return (Criteria) this;
        }

        public Criteria andEnterpriseIdNotEqualTo(Long value) {
            addCriterion("enterprise_id <>", value, "enterpriseId");
            return (Criteria) this;
        }

        public Criteria andEnterpriseIdGreaterThan(Long value) {
            addCriterion("enterprise_id >", value, "enterpriseId");
            return (Criteria) this;
        }

        public Criteria andEnterpriseIdGreaterThanOrEqualTo(Long value) {
            addCriterion("enterprise_id >=", value, "enterpriseId");
            return (Criteria) this;
        }

        public Criteria andEnterpriseIdLessThan(Long value) {
            addCriterion("enterprise_id <", value, "enterpriseId");
            return (Criteria) this;
        }

        public Criteria andEnterpriseIdLessThanOrEqualTo(Long value) {
            addCriterion("enterprise_id <=", value, "enterpriseId");
            return (Criteria) this;
        }

        public Criteria andEnterpriseIdIn(List<Long> values) {
            addCriterion("enterprise_id in", values, "enterpriseId");
            return (Criteria) this;
        }

        public Criteria andEnterpriseIdNotIn(List<Long> values) {
            addCriterion("enterprise_id not in", values, "enterpriseId");
            return (Criteria) this;
        }

        public Criteria andEnterpriseIdBetween(Long value1, Long value2) {
            addCriterion("enterprise_id between", value1, value2, "enterpriseId");
            return (Criteria) this;
        }

        public Criteria andEnterpriseIdNotBetween(Long value1, Long value2) {
            addCriterion("enterprise_id not between", value1, value2, "enterpriseId");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNull() {
            addCriterion("create_time is null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNotNull() {
            addCriterion("create_time is not null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeEqualTo(Date value) {
            addCriterion("create_time =", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotEqualTo(Date value) {
            addCriterion("create_time <>", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThan(Date value) {
            addCriterion("create_time >", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("create_time >=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThan(Date value) {
            addCriterion("create_time <", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThanOrEqualTo(Date value) {
            addCriterion("create_time <=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIn(List<Date> values) {
            addCriterion("create_time in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotIn(List<Date> values) {
            addCriterion("create_time not in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeBetween(Date value1, Date value2) {
            addCriterion("create_time between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotBetween(Date value1, Date value2) {
            addCriterion("create_time not between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andSyncTimeIsNull() {
            addCriterion("sync_time is null");
            return (Criteria) this;
        }

        public Criteria andSyncTimeIsNotNull() {
            addCriterion("sync_time is not null");
            return (Criteria) this;
        }

        public Criteria andSyncTimeEqualTo(Date value) {
            addCriterion("sync_time =", value, "syncTime");
            return (Criteria) this;
        }

        public Criteria andSyncTimeNotEqualTo(Date value) {
            addCriterion("sync_time <>", value, "syncTime");
            return (Criteria) this;
        }

        public Criteria andSyncTimeGreaterThan(Date value) {
            addCriterion("sync_time >", value, "syncTime");
            return (Criteria) this;
        }

        public Criteria andSyncTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("sync_time >=", value, "syncTime");
            return (Criteria) this;
        }

        public Criteria andSyncTimeLessThan(Date value) {
            addCriterion("sync_time <", value, "syncTime");
            return (Criteria) this;
        }

        public Criteria andSyncTimeLessThanOrEqualTo(Date value) {
            addCriterion("sync_time <=", value, "syncTime");
            return (Criteria) this;
        }

        public Criteria andSyncTimeIn(List<Date> values) {
            addCriterion("sync_time in", values, "syncTime");
            return (Criteria) this;
        }

        public Criteria andSyncTimeNotIn(List<Date> values) {
            addCriterion("sync_time not in", values, "syncTime");
            return (Criteria) this;
        }

        public Criteria andSyncTimeBetween(Date value1, Date value2) {
            addCriterion("sync_time between", value1, value2, "syncTime");
            return (Criteria) this;
        }

        public Criteria andSyncTimeNotBetween(Date value1, Date value2) {
            addCriterion("sync_time not between", value1, value2, "syncTime");
            return (Criteria) this;
        }

        public Criteria andPayTimeIsNull() {
            addCriterion("pay_time is null");
            return (Criteria) this;
        }

        public Criteria andPayTimeIsNotNull() {
            addCriterion("pay_time is not null");
            return (Criteria) this;
        }

        public Criteria andPayTimeEqualTo(Date value) {
            addCriterion("pay_time =", value, "payTime");
            return (Criteria) this;
        }

        public Criteria andPayTimeNotEqualTo(Date value) {
            addCriterion("pay_time <>", value, "payTime");
            return (Criteria) this;
        }

        public Criteria andPayTimeGreaterThan(Date value) {
            addCriterion("pay_time >", value, "payTime");
            return (Criteria) this;
        }

        public Criteria andPayTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("pay_time >=", value, "payTime");
            return (Criteria) this;
        }

        public Criteria andPayTimeLessThan(Date value) {
            addCriterion("pay_time <", value, "payTime");
            return (Criteria) this;
        }

        public Criteria andPayTimeLessThanOrEqualTo(Date value) {
            addCriterion("pay_time <=", value, "payTime");
            return (Criteria) this;
        }

        public Criteria andPayTimeIn(List<Date> values) {
            addCriterion("pay_time in", values, "payTime");
            return (Criteria) this;
        }

        public Criteria andPayTimeNotIn(List<Date> values) {
            addCriterion("pay_time not in", values, "payTime");
            return (Criteria) this;
        }

        public Criteria andPayTimeBetween(Date value1, Date value2) {
            addCriterion("pay_time between", value1, value2, "payTime");
            return (Criteria) this;
        }

        public Criteria andPayTimeNotBetween(Date value1, Date value2) {
            addCriterion("pay_time not between", value1, value2, "payTime");
            return (Criteria) this;
        }

        public Criteria andRealnameIdIsNull() {
            addCriterion("realname_id is null");
            return (Criteria) this;
        }

        public Criteria andRealnameIdIsNotNull() {
            addCriterion("realname_id is not null");
            return (Criteria) this;
        }

        public Criteria andRealnameIdEqualTo(Integer value) {
            addCriterion("realname_id =", value, "realnameId");
            return (Criteria) this;
        }

        public Criteria andRealnameIdNotEqualTo(Integer value) {
            addCriterion("realname_id <>", value, "realnameId");
            return (Criteria) this;
        }

        public Criteria andRealnameIdGreaterThan(Integer value) {
            addCriterion("realname_id >", value, "realnameId");
            return (Criteria) this;
        }

        public Criteria andRealnameIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("realname_id >=", value, "realnameId");
            return (Criteria) this;
        }

        public Criteria andRealnameIdLessThan(Integer value) {
            addCriterion("realname_id <", value, "realnameId");
            return (Criteria) this;
        }

        public Criteria andRealnameIdLessThanOrEqualTo(Integer value) {
            addCriterion("realname_id <=", value, "realnameId");
            return (Criteria) this;
        }

        public Criteria andRealnameIdIn(List<Integer> values) {
            addCriterion("realname_id in", values, "realnameId");
            return (Criteria) this;
        }

        public Criteria andRealnameIdNotIn(List<Integer> values) {
            addCriterion("realname_id not in", values, "realnameId");
            return (Criteria) this;
        }

        public Criteria andRealnameIdBetween(Integer value1, Integer value2) {
            addCriterion("realname_id between", value1, value2, "realnameId");
            return (Criteria) this;
        }

        public Criteria andRealnameIdNotBetween(Integer value1, Integer value2) {
            addCriterion("realname_id not between", value1, value2, "realnameId");
            return (Criteria) this;
        }

        public Criteria andExamineIdIsNull() {
            addCriterion("examine_id is null");
            return (Criteria) this;
        }

        public Criteria andExamineIdIsNotNull() {
            addCriterion("examine_id is not null");
            return (Criteria) this;
        }

        public Criteria andExamineIdEqualTo(Integer value) {
            addCriterion("examine_id =", value, "examineId");
            return (Criteria) this;
        }

        public Criteria andExamineIdNotEqualTo(Integer value) {
            addCriterion("examine_id <>", value, "examineId");
            return (Criteria) this;
        }

        public Criteria andExamineIdGreaterThan(Integer value) {
            addCriterion("examine_id >", value, "examineId");
            return (Criteria) this;
        }

        public Criteria andExamineIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("examine_id >=", value, "examineId");
            return (Criteria) this;
        }

        public Criteria andExamineIdLessThan(Integer value) {
            addCriterion("examine_id <", value, "examineId");
            return (Criteria) this;
        }

        public Criteria andExamineIdLessThanOrEqualTo(Integer value) {
            addCriterion("examine_id <=", value, "examineId");
            return (Criteria) this;
        }

        public Criteria andExamineIdIn(List<Integer> values) {
            addCriterion("examine_id in", values, "examineId");
            return (Criteria) this;
        }

        public Criteria andExamineIdNotIn(List<Integer> values) {
            addCriterion("examine_id not in", values, "examineId");
            return (Criteria) this;
        }

        public Criteria andExamineIdBetween(Integer value1, Integer value2) {
            addCriterion("examine_id between", value1, value2, "examineId");
            return (Criteria) this;
        }

        public Criteria andExamineIdNotBetween(Integer value1, Integer value2) {
            addCriterion("examine_id not between", value1, value2, "examineId");
            return (Criteria) this;
        }

        public Criteria andAddressRealnameIsNull() {
            addCriterion("address_realname is null");
            return (Criteria) this;
        }

        public Criteria andAddressRealnameIsNotNull() {
            addCriterion("address_realname is not null");
            return (Criteria) this;
        }

        public Criteria andAddressRealnameEqualTo(String value) {
            addCriterion("address_realname =", value, "addressRealname");
            return (Criteria) this;
        }

        public Criteria andAddressRealnameNotEqualTo(String value) {
            addCriterion("address_realname <>", value, "addressRealname");
            return (Criteria) this;
        }

        public Criteria andAddressRealnameGreaterThan(String value) {
            addCriterion("address_realname >", value, "addressRealname");
            return (Criteria) this;
        }

        public Criteria andAddressRealnameGreaterThanOrEqualTo(String value) {
            addCriterion("address_realname >=", value, "addressRealname");
            return (Criteria) this;
        }

        public Criteria andAddressRealnameLessThan(String value) {
            addCriterion("address_realname <", value, "addressRealname");
            return (Criteria) this;
        }

        public Criteria andAddressRealnameLessThanOrEqualTo(String value) {
            addCriterion("address_realname <=", value, "addressRealname");
            return (Criteria) this;
        }

        public Criteria andAddressRealnameLike(String value) {
            addCriterion("address_realname like", value, "addressRealname");
            return (Criteria) this;
        }

        public Criteria andAddressRealnameNotLike(String value) {
            addCriterion("address_realname not like", value, "addressRealname");
            return (Criteria) this;
        }

        public Criteria andAddressRealnameIn(List<String> values) {
            addCriterion("address_realname in", values, "addressRealname");
            return (Criteria) this;
        }

        public Criteria andAddressRealnameNotIn(List<String> values) {
            addCriterion("address_realname not in", values, "addressRealname");
            return (Criteria) this;
        }

        public Criteria andAddressRealnameBetween(String value1, String value2) {
            addCriterion("address_realname between", value1, value2, "addressRealname");
            return (Criteria) this;
        }

        public Criteria andAddressRealnameNotBetween(String value1, String value2) {
            addCriterion("address_realname not between", value1, value2, "addressRealname");
            return (Criteria) this;
        }

        public Criteria andAddressMobileIsNull() {
            addCriterion("address_mobile is null");
            return (Criteria) this;
        }

        public Criteria andAddressMobileIsNotNull() {
            addCriterion("address_mobile is not null");
            return (Criteria) this;
        }

        public Criteria andAddressMobileEqualTo(String value) {
            addCriterion("address_mobile =", value, "addressMobile");
            return (Criteria) this;
        }

        public Criteria andAddressMobileNotEqualTo(String value) {
            addCriterion("address_mobile <>", value, "addressMobile");
            return (Criteria) this;
        }

        public Criteria andAddressMobileGreaterThan(String value) {
            addCriterion("address_mobile >", value, "addressMobile");
            return (Criteria) this;
        }

        public Criteria andAddressMobileGreaterThanOrEqualTo(String value) {
            addCriterion("address_mobile >=", value, "addressMobile");
            return (Criteria) this;
        }

        public Criteria andAddressMobileLessThan(String value) {
            addCriterion("address_mobile <", value, "addressMobile");
            return (Criteria) this;
        }

        public Criteria andAddressMobileLessThanOrEqualTo(String value) {
            addCriterion("address_mobile <=", value, "addressMobile");
            return (Criteria) this;
        }

        public Criteria andAddressMobileLike(String value) {
            addCriterion("address_mobile like", value, "addressMobile");
            return (Criteria) this;
        }

        public Criteria andAddressMobileNotLike(String value) {
            addCriterion("address_mobile not like", value, "addressMobile");
            return (Criteria) this;
        }

        public Criteria andAddressMobileIn(List<String> values) {
            addCriterion("address_mobile in", values, "addressMobile");
            return (Criteria) this;
        }

        public Criteria andAddressMobileNotIn(List<String> values) {
            addCriterion("address_mobile not in", values, "addressMobile");
            return (Criteria) this;
        }

        public Criteria andAddressMobileBetween(String value1, String value2) {
            addCriterion("address_mobile between", value1, value2, "addressMobile");
            return (Criteria) this;
        }

        public Criteria andAddressMobileNotBetween(String value1, String value2) {
            addCriterion("address_mobile not between", value1, value2, "addressMobile");
            return (Criteria) this;
        }

        public Criteria andAddressAddressIsNull() {
            addCriterion("address_address is null");
            return (Criteria) this;
        }

        public Criteria andAddressAddressIsNotNull() {
            addCriterion("address_address is not null");
            return (Criteria) this;
        }

        public Criteria andAddressAddressEqualTo(String value) {
            addCriterion("address_address =", value, "addressAddress");
            return (Criteria) this;
        }

        public Criteria andAddressAddressNotEqualTo(String value) {
            addCriterion("address_address <>", value, "addressAddress");
            return (Criteria) this;
        }

        public Criteria andAddressAddressGreaterThan(String value) {
            addCriterion("address_address >", value, "addressAddress");
            return (Criteria) this;
        }

        public Criteria andAddressAddressGreaterThanOrEqualTo(String value) {
            addCriterion("address_address >=", value, "addressAddress");
            return (Criteria) this;
        }

        public Criteria andAddressAddressLessThan(String value) {
            addCriterion("address_address <", value, "addressAddress");
            return (Criteria) this;
        }

        public Criteria andAddressAddressLessThanOrEqualTo(String value) {
            addCriterion("address_address <=", value, "addressAddress");
            return (Criteria) this;
        }

        public Criteria andAddressAddressLike(String value) {
            addCriterion("address_address like", value, "addressAddress");
            return (Criteria) this;
        }

        public Criteria andAddressAddressNotLike(String value) {
            addCriterion("address_address not like", value, "addressAddress");
            return (Criteria) this;
        }

        public Criteria andAddressAddressIn(List<String> values) {
            addCriterion("address_address in", values, "addressAddress");
            return (Criteria) this;
        }

        public Criteria andAddressAddressNotIn(List<String> values) {
            addCriterion("address_address not in", values, "addressAddress");
            return (Criteria) this;
        }

        public Criteria andAddressAddressBetween(String value1, String value2) {
            addCriterion("address_address between", value1, value2, "addressAddress");
            return (Criteria) this;
        }

        public Criteria andAddressAddressNotBetween(String value1, String value2) {
            addCriterion("address_address not between", value1, value2, "addressAddress");
            return (Criteria) this;
        }

        public Criteria andInvoiceTypeIsNull() {
            addCriterion("invoice_type is null");
            return (Criteria) this;
        }

        public Criteria andInvoiceTypeIsNotNull() {
            addCriterion("invoice_type is not null");
            return (Criteria) this;
        }

        public Criteria andInvoiceTypeEqualTo(Integer value) {
            addCriterion("invoice_type =", value, "invoiceType");
            return (Criteria) this;
        }

        public Criteria andInvoiceTypeNotEqualTo(Integer value) {
            addCriterion("invoice_type <>", value, "invoiceType");
            return (Criteria) this;
        }

        public Criteria andInvoiceTypeGreaterThan(Integer value) {
            addCriterion("invoice_type >", value, "invoiceType");
            return (Criteria) this;
        }

        public Criteria andInvoiceTypeGreaterThanOrEqualTo(Integer value) {
            addCriterion("invoice_type >=", value, "invoiceType");
            return (Criteria) this;
        }

        public Criteria andInvoiceTypeLessThan(Integer value) {
            addCriterion("invoice_type <", value, "invoiceType");
            return (Criteria) this;
        }

        public Criteria andInvoiceTypeLessThanOrEqualTo(Integer value) {
            addCriterion("invoice_type <=", value, "invoiceType");
            return (Criteria) this;
        }

        public Criteria andInvoiceTypeIn(List<Integer> values) {
            addCriterion("invoice_type in", values, "invoiceType");
            return (Criteria) this;
        }

        public Criteria andInvoiceTypeNotIn(List<Integer> values) {
            addCriterion("invoice_type not in", values, "invoiceType");
            return (Criteria) this;
        }

        public Criteria andInvoiceTypeBetween(Integer value1, Integer value2) {
            addCriterion("invoice_type between", value1, value2, "invoiceType");
            return (Criteria) this;
        }

        public Criteria andInvoiceTypeNotBetween(Integer value1, Integer value2) {
            addCriterion("invoice_type not between", value1, value2, "invoiceType");
            return (Criteria) this;
        }

        public Criteria andInvoiceCompanyNameIsNull() {
            addCriterion("invoice_company_name is null");
            return (Criteria) this;
        }

        public Criteria andInvoiceCompanyNameIsNotNull() {
            addCriterion("invoice_company_name is not null");
            return (Criteria) this;
        }

        public Criteria andInvoiceCompanyNameEqualTo(String value) {
            addCriterion("invoice_company_name =", value, "invoiceCompanyName");
            return (Criteria) this;
        }

        public Criteria andInvoiceCompanyNameNotEqualTo(String value) {
            addCriterion("invoice_company_name <>", value, "invoiceCompanyName");
            return (Criteria) this;
        }

        public Criteria andInvoiceCompanyNameGreaterThan(String value) {
            addCriterion("invoice_company_name >", value, "invoiceCompanyName");
            return (Criteria) this;
        }

        public Criteria andInvoiceCompanyNameGreaterThanOrEqualTo(String value) {
            addCriterion("invoice_company_name >=", value, "invoiceCompanyName");
            return (Criteria) this;
        }

        public Criteria andInvoiceCompanyNameLessThan(String value) {
            addCriterion("invoice_company_name <", value, "invoiceCompanyName");
            return (Criteria) this;
        }

        public Criteria andInvoiceCompanyNameLessThanOrEqualTo(String value) {
            addCriterion("invoice_company_name <=", value, "invoiceCompanyName");
            return (Criteria) this;
        }

        public Criteria andInvoiceCompanyNameLike(String value) {
            addCriterion("invoice_company_name like", value, "invoiceCompanyName");
            return (Criteria) this;
        }

        public Criteria andInvoiceCompanyNameNotLike(String value) {
            addCriterion("invoice_company_name not like", value, "invoiceCompanyName");
            return (Criteria) this;
        }

        public Criteria andInvoiceCompanyNameIn(List<String> values) {
            addCriterion("invoice_company_name in", values, "invoiceCompanyName");
            return (Criteria) this;
        }

        public Criteria andInvoiceCompanyNameNotIn(List<String> values) {
            addCriterion("invoice_company_name not in", values, "invoiceCompanyName");
            return (Criteria) this;
        }

        public Criteria andInvoiceCompanyNameBetween(String value1, String value2) {
            addCriterion("invoice_company_name between", value1, value2, "invoiceCompanyName");
            return (Criteria) this;
        }

        public Criteria andInvoiceCompanyNameNotBetween(String value1, String value2) {
            addCriterion("invoice_company_name not between", value1, value2, "invoiceCompanyName");
            return (Criteria) this;
        }

        public Criteria andInvoiceTaxpayersIDCodeIsNull() {
            addCriterion("invoice_taxpayers_i_d_code is null");
            return (Criteria) this;
        }

        public Criteria andInvoiceTaxpayersIDCodeIsNotNull() {
            addCriterion("invoice_taxpayers_i_d_code is not null");
            return (Criteria) this;
        }

        public Criteria andInvoiceTaxpayersIDCodeEqualTo(String value) {
            addCriterion("invoice_taxpayers_i_d_code =", value, "invoiceTaxpayersIDCode");
            return (Criteria) this;
        }

        public Criteria andInvoiceTaxpayersIDCodeNotEqualTo(String value) {
            addCriterion("invoice_taxpayers_i_d_code <>", value, "invoiceTaxpayersIDCode");
            return (Criteria) this;
        }

        public Criteria andInvoiceTaxpayersIDCodeGreaterThan(String value) {
            addCriterion("invoice_taxpayers_i_d_code >", value, "invoiceTaxpayersIDCode");
            return (Criteria) this;
        }

        public Criteria andInvoiceTaxpayersIDCodeGreaterThanOrEqualTo(String value) {
            addCriterion("invoice_taxpayers_i_d_code >=", value, "invoiceTaxpayersIDCode");
            return (Criteria) this;
        }

        public Criteria andInvoiceTaxpayersIDCodeLessThan(String value) {
            addCriterion("invoice_taxpayers_i_d_code <", value, "invoiceTaxpayersIDCode");
            return (Criteria) this;
        }

        public Criteria andInvoiceTaxpayersIDCodeLessThanOrEqualTo(String value) {
            addCriterion("invoice_taxpayers_i_d_code <=", value, "invoiceTaxpayersIDCode");
            return (Criteria) this;
        }

        public Criteria andInvoiceTaxpayersIDCodeLike(String value) {
            addCriterion("invoice_taxpayers_i_d_code like", value, "invoiceTaxpayersIDCode");
            return (Criteria) this;
        }

        public Criteria andInvoiceTaxpayersIDCodeNotLike(String value) {
            addCriterion("invoice_taxpayers_i_d_code not like", value, "invoiceTaxpayersIDCode");
            return (Criteria) this;
        }

        public Criteria andInvoiceTaxpayersIDCodeIn(List<String> values) {
            addCriterion("invoice_taxpayers_i_d_code in", values, "invoiceTaxpayersIDCode");
            return (Criteria) this;
        }

        public Criteria andInvoiceTaxpayersIDCodeNotIn(List<String> values) {
            addCriterion("invoice_taxpayers_i_d_code not in", values, "invoiceTaxpayersIDCode");
            return (Criteria) this;
        }

        public Criteria andInvoiceTaxpayersIDCodeBetween(String value1, String value2) {
            addCriterion("invoice_taxpayers_i_d_code between", value1, value2, "invoiceTaxpayersIDCode");
            return (Criteria) this;
        }

        public Criteria andInvoiceTaxpayersIDCodeNotBetween(String value1, String value2) {
            addCriterion("invoice_taxpayers_i_d_code not between", value1, value2, "invoiceTaxpayersIDCode");
            return (Criteria) this;
        }

        public Criteria andInvoiceAccountIsNull() {
            addCriterion("invoice_account is null");
            return (Criteria) this;
        }

        public Criteria andInvoiceAccountIsNotNull() {
            addCriterion("invoice_account is not null");
            return (Criteria) this;
        }

        public Criteria andInvoiceAccountEqualTo(String value) {
            addCriterion("invoice_account =", value, "invoiceAccount");
            return (Criteria) this;
        }

        public Criteria andInvoiceAccountNotEqualTo(String value) {
            addCriterion("invoice_account <>", value, "invoiceAccount");
            return (Criteria) this;
        }

        public Criteria andInvoiceAccountGreaterThan(String value) {
            addCriterion("invoice_account >", value, "invoiceAccount");
            return (Criteria) this;
        }

        public Criteria andInvoiceAccountGreaterThanOrEqualTo(String value) {
            addCriterion("invoice_account >=", value, "invoiceAccount");
            return (Criteria) this;
        }

        public Criteria andInvoiceAccountLessThan(String value) {
            addCriterion("invoice_account <", value, "invoiceAccount");
            return (Criteria) this;
        }

        public Criteria andInvoiceAccountLessThanOrEqualTo(String value) {
            addCriterion("invoice_account <=", value, "invoiceAccount");
            return (Criteria) this;
        }

        public Criteria andInvoiceAccountLike(String value) {
            addCriterion("invoice_account like", value, "invoiceAccount");
            return (Criteria) this;
        }

        public Criteria andInvoiceAccountNotLike(String value) {
            addCriterion("invoice_account not like", value, "invoiceAccount");
            return (Criteria) this;
        }

        public Criteria andInvoiceAccountIn(List<String> values) {
            addCriterion("invoice_account in", values, "invoiceAccount");
            return (Criteria) this;
        }

        public Criteria andInvoiceAccountNotIn(List<String> values) {
            addCriterion("invoice_account not in", values, "invoiceAccount");
            return (Criteria) this;
        }

        public Criteria andInvoiceAccountBetween(String value1, String value2) {
            addCriterion("invoice_account between", value1, value2, "invoiceAccount");
            return (Criteria) this;
        }

        public Criteria andInvoiceAccountNotBetween(String value1, String value2) {
            addCriterion("invoice_account not between", value1, value2, "invoiceAccount");
            return (Criteria) this;
        }

        public Criteria andInvoiceBankIsNull() {
            addCriterion("invoice_bank is null");
            return (Criteria) this;
        }

        public Criteria andInvoiceBankIsNotNull() {
            addCriterion("invoice_bank is not null");
            return (Criteria) this;
        }

        public Criteria andInvoiceBankEqualTo(String value) {
            addCriterion("invoice_bank =", value, "invoiceBank");
            return (Criteria) this;
        }

        public Criteria andInvoiceBankNotEqualTo(String value) {
            addCriterion("invoice_bank <>", value, "invoiceBank");
            return (Criteria) this;
        }

        public Criteria andInvoiceBankGreaterThan(String value) {
            addCriterion("invoice_bank >", value, "invoiceBank");
            return (Criteria) this;
        }

        public Criteria andInvoiceBankGreaterThanOrEqualTo(String value) {
            addCriterion("invoice_bank >=", value, "invoiceBank");
            return (Criteria) this;
        }

        public Criteria andInvoiceBankLessThan(String value) {
            addCriterion("invoice_bank <", value, "invoiceBank");
            return (Criteria) this;
        }

        public Criteria andInvoiceBankLessThanOrEqualTo(String value) {
            addCriterion("invoice_bank <=", value, "invoiceBank");
            return (Criteria) this;
        }

        public Criteria andInvoiceBankLike(String value) {
            addCriterion("invoice_bank like", value, "invoiceBank");
            return (Criteria) this;
        }

        public Criteria andInvoiceBankNotLike(String value) {
            addCriterion("invoice_bank not like", value, "invoiceBank");
            return (Criteria) this;
        }

        public Criteria andInvoiceBankIn(List<String> values) {
            addCriterion("invoice_bank in", values, "invoiceBank");
            return (Criteria) this;
        }

        public Criteria andInvoiceBankNotIn(List<String> values) {
            addCriterion("invoice_bank not in", values, "invoiceBank");
            return (Criteria) this;
        }

        public Criteria andInvoiceBankBetween(String value1, String value2) {
            addCriterion("invoice_bank between", value1, value2, "invoiceBank");
            return (Criteria) this;
        }

        public Criteria andInvoiceBankNotBetween(String value1, String value2) {
            addCriterion("invoice_bank not between", value1, value2, "invoiceBank");
            return (Criteria) this;
        }

        public Criteria andSendTimeIsNull() {
            addCriterion("send_time is null");
            return (Criteria) this;
        }

        public Criteria andSendTimeIsNotNull() {
            addCriterion("send_time is not null");
            return (Criteria) this;
        }

        public Criteria andSendTimeEqualTo(Date value) {
            addCriterion("send_time =", value, "sendTime");
            return (Criteria) this;
        }

        public Criteria andSendTimeNotEqualTo(Date value) {
            addCriterion("send_time <>", value, "sendTime");
            return (Criteria) this;
        }

        public Criteria andSendTimeGreaterThan(Date value) {
            addCriterion("send_time >", value, "sendTime");
            return (Criteria) this;
        }

        public Criteria andSendTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("send_time >=", value, "sendTime");
            return (Criteria) this;
        }

        public Criteria andSendTimeLessThan(Date value) {
            addCriterion("send_time <", value, "sendTime");
            return (Criteria) this;
        }

        public Criteria andSendTimeLessThanOrEqualTo(Date value) {
            addCriterion("send_time <=", value, "sendTime");
            return (Criteria) this;
        }

        public Criteria andSendTimeIn(List<Date> values) {
            addCriterion("send_time in", values, "sendTime");
            return (Criteria) this;
        }

        public Criteria andSendTimeNotIn(List<Date> values) {
            addCriterion("send_time not in", values, "sendTime");
            return (Criteria) this;
        }

        public Criteria andSendTimeBetween(Date value1, Date value2) {
            addCriterion("send_time between", value1, value2, "sendTime");
            return (Criteria) this;
        }

        public Criteria andSendTimeNotBetween(Date value1, Date value2) {
            addCriterion("send_time not between", value1, value2, "sendTime");
            return (Criteria) this;
        }

        public Criteria andFinishTimeIsNull() {
            addCriterion("finish_time is null");
            return (Criteria) this;
        }

        public Criteria andFinishTimeIsNotNull() {
            addCriterion("finish_time is not null");
            return (Criteria) this;
        }

        public Criteria andFinishTimeEqualTo(Date value) {
            addCriterion("finish_time =", value, "finishTime");
            return (Criteria) this;
        }

        public Criteria andFinishTimeNotEqualTo(Date value) {
            addCriterion("finish_time <>", value, "finishTime");
            return (Criteria) this;
        }

        public Criteria andFinishTimeGreaterThan(Date value) {
            addCriterion("finish_time >", value, "finishTime");
            return (Criteria) this;
        }

        public Criteria andFinishTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("finish_time >=", value, "finishTime");
            return (Criteria) this;
        }

        public Criteria andFinishTimeLessThan(Date value) {
            addCriterion("finish_time <", value, "finishTime");
            return (Criteria) this;
        }

        public Criteria andFinishTimeLessThanOrEqualTo(Date value) {
            addCriterion("finish_time <=", value, "finishTime");
            return (Criteria) this;
        }

        public Criteria andFinishTimeIn(List<Date> values) {
            addCriterion("finish_time in", values, "finishTime");
            return (Criteria) this;
        }

        public Criteria andFinishTimeNotIn(List<Date> values) {
            addCriterion("finish_time not in", values, "finishTime");
            return (Criteria) this;
        }

        public Criteria andFinishTimeBetween(Date value1, Date value2) {
            addCriterion("finish_time between", value1, value2, "finishTime");
            return (Criteria) this;
        }

        public Criteria andFinishTimeNotBetween(Date value1, Date value2) {
            addCriterion("finish_time not between", value1, value2, "finishTime");
            return (Criteria) this;
        }

        public Criteria andStatusIsNull() {
            addCriterion("status is null");
            return (Criteria) this;
        }

        public Criteria andStatusIsNotNull() {
            addCriterion("status is not null");
            return (Criteria) this;
        }

        public Criteria andStatusEqualTo(Integer value) {
            addCriterion("status =", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotEqualTo(Integer value) {
            addCriterion("status <>", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusGreaterThan(Integer value) {
            addCriterion("status >", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusGreaterThanOrEqualTo(Integer value) {
            addCriterion("status >=", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusLessThan(Integer value) {
            addCriterion("status <", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusLessThanOrEqualTo(Integer value) {
            addCriterion("status <=", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusIn(List<Integer> values) {
            addCriterion("status in", values, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotIn(List<Integer> values) {
            addCriterion("status not in", values, "status");
            return (Criteria) this;
        }

        public Criteria andStatusBetween(Integer value1, Integer value2) {
            addCriterion("status between", value1, value2, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotBetween(Integer value1, Integer value2) {
            addCriterion("status not between", value1, value2, "status");
            return (Criteria) this;
        }

        public Criteria andMerchNameIsNull() {
            addCriterion("merch_name is null");
            return (Criteria) this;
        }

        public Criteria andMerchNameIsNotNull() {
            addCriterion("merch_name is not null");
            return (Criteria) this;
        }

        public Criteria andMerchNameEqualTo(String value) {
            addCriterion("merch_name =", value, "merchName");
            return (Criteria) this;
        }

        public Criteria andMerchNameNotEqualTo(String value) {
            addCriterion("merch_name <>", value, "merchName");
            return (Criteria) this;
        }

        public Criteria andMerchNameGreaterThan(String value) {
            addCriterion("merch_name >", value, "merchName");
            return (Criteria) this;
        }

        public Criteria andMerchNameGreaterThanOrEqualTo(String value) {
            addCriterion("merch_name >=", value, "merchName");
            return (Criteria) this;
        }

        public Criteria andMerchNameLessThan(String value) {
            addCriterion("merch_name <", value, "merchName");
            return (Criteria) this;
        }

        public Criteria andMerchNameLessThanOrEqualTo(String value) {
            addCriterion("merch_name <=", value, "merchName");
            return (Criteria) this;
        }

        public Criteria andMerchNameLike(String value) {
            addCriterion("merch_name like", value, "merchName");
            return (Criteria) this;
        }

        public Criteria andMerchNameNotLike(String value) {
            addCriterion("merch_name not like", value, "merchName");
            return (Criteria) this;
        }

        public Criteria andMerchNameIn(List<String> values) {
            addCriterion("merch_name in", values, "merchName");
            return (Criteria) this;
        }

        public Criteria andMerchNameNotIn(List<String> values) {
            addCriterion("merch_name not in", values, "merchName");
            return (Criteria) this;
        }

        public Criteria andMerchNameBetween(String value1, String value2) {
            addCriterion("merch_name between", value1, value2, "merchName");
            return (Criteria) this;
        }

        public Criteria andMerchNameNotBetween(String value1, String value2) {
            addCriterion("merch_name not between", value1, value2, "merchName");
            return (Criteria) this;
        }

        public Criteria andOrderTypeIsNull() {
            addCriterion("order_type is null");
            return (Criteria) this;
        }

        public Criteria andOrderTypeIsNotNull() {
            addCriterion("order_type is not null");
            return (Criteria) this;
        }

        public Criteria andOrderTypeEqualTo(String value) {
            addCriterion("order_type =", value, "orderType");
            return (Criteria) this;
        }

        public Criteria andOrderTypeNotEqualTo(String value) {
            addCriterion("order_type <>", value, "orderType");
            return (Criteria) this;
        }

        public Criteria andOrderTypeGreaterThan(String value) {
            addCriterion("order_type >", value, "orderType");
            return (Criteria) this;
        }

        public Criteria andOrderTypeGreaterThanOrEqualTo(String value) {
            addCriterion("order_type >=", value, "orderType");
            return (Criteria) this;
        }

        public Criteria andOrderTypeLessThan(String value) {
            addCriterion("order_type <", value, "orderType");
            return (Criteria) this;
        }

        public Criteria andOrderTypeLessThanOrEqualTo(String value) {
            addCriterion("order_type <=", value, "orderType");
            return (Criteria) this;
        }

        public Criteria andOrderTypeLike(String value) {
            addCriterion("order_type like", value, "orderType");
            return (Criteria) this;
        }

        public Criteria andOrderTypeNotLike(String value) {
            addCriterion("order_type not like", value, "orderType");
            return (Criteria) this;
        }

        public Criteria andOrderTypeIn(List<String> values) {
            addCriterion("order_type in", values, "orderType");
            return (Criteria) this;
        }

        public Criteria andOrderTypeNotIn(List<String> values) {
            addCriterion("order_type not in", values, "orderType");
            return (Criteria) this;
        }

        public Criteria andOrderTypeBetween(String value1, String value2) {
            addCriterion("order_type between", value1, value2, "orderType");
            return (Criteria) this;
        }

        public Criteria andOrderTypeNotBetween(String value1, String value2) {
            addCriterion("order_type not between", value1, value2, "orderType");
            return (Criteria) this;
        }

        public Criteria andPayTypeIsNull() {
            addCriterion("pay_type is null");
            return (Criteria) this;
        }

        public Criteria andPayTypeIsNotNull() {
            addCriterion("pay_type is not null");
            return (Criteria) this;
        }

        public Criteria andPayTypeEqualTo(Integer value) {
            addCriterion("pay_type =", value, "payType");
            return (Criteria) this;
        }

        public Criteria andPayTypeNotEqualTo(Integer value) {
            addCriterion("pay_type <>", value, "payType");
            return (Criteria) this;
        }

        public Criteria andPayTypeGreaterThan(Integer value) {
            addCriterion("pay_type >", value, "payType");
            return (Criteria) this;
        }

        public Criteria andPayTypeGreaterThanOrEqualTo(Integer value) {
            addCriterion("pay_type >=", value, "payType");
            return (Criteria) this;
        }

        public Criteria andPayTypeLessThan(Integer value) {
            addCriterion("pay_type <", value, "payType");
            return (Criteria) this;
        }

        public Criteria andPayTypeLessThanOrEqualTo(Integer value) {
            addCriterion("pay_type <=", value, "payType");
            return (Criteria) this;
        }

        public Criteria andPayTypeIn(List<Integer> values) {
            addCriterion("pay_type in", values, "payType");
            return (Criteria) this;
        }

        public Criteria andPayTypeNotIn(List<Integer> values) {
            addCriterion("pay_type not in", values, "payType");
            return (Criteria) this;
        }

        public Criteria andPayTypeBetween(Integer value1, Integer value2) {
            addCriterion("pay_type between", value1, value2, "payType");
            return (Criteria) this;
        }

        public Criteria andPayTypeNotBetween(Integer value1, Integer value2) {
            addCriterion("pay_type not between", value1, value2, "payType");
            return (Criteria) this;
        }

        public Criteria andSearchField1IsNull() {
            addCriterion("search_field1 is null");
            return (Criteria) this;
        }

        public Criteria andSearchField1IsNotNull() {
            addCriterion("search_field1 is not null");
            return (Criteria) this;
        }

        public Criteria andSearchField1EqualTo(String value) {
            addCriterion("search_field1 =", value, "searchField1");
            return (Criteria) this;
        }

        public Criteria andSearchField1NotEqualTo(String value) {
            addCriterion("search_field1 <>", value, "searchField1");
            return (Criteria) this;
        }

        public Criteria andSearchField1GreaterThan(String value) {
            addCriterion("search_field1 >", value, "searchField1");
            return (Criteria) this;
        }

        public Criteria andSearchField1GreaterThanOrEqualTo(String value) {
            addCriterion("search_field1 >=", value, "searchField1");
            return (Criteria) this;
        }

        public Criteria andSearchField1LessThan(String value) {
            addCriterion("search_field1 <", value, "searchField1");
            return (Criteria) this;
        }

        public Criteria andSearchField1LessThanOrEqualTo(String value) {
            addCriterion("search_field1 <=", value, "searchField1");
            return (Criteria) this;
        }

        public Criteria andSearchField1Like(String value) {
            addCriterion("search_field1 like", value, "searchField1");
            return (Criteria) this;
        }

        public Criteria andSearchField1NotLike(String value) {
            addCriterion("search_field1 not like", value, "searchField1");
            return (Criteria) this;
        }

        public Criteria andSearchField1In(List<String> values) {
            addCriterion("search_field1 in", values, "searchField1");
            return (Criteria) this;
        }

        public Criteria andSearchField1NotIn(List<String> values) {
            addCriterion("search_field1 not in", values, "searchField1");
            return (Criteria) this;
        }

        public Criteria andSearchField1Between(String value1, String value2) {
            addCriterion("search_field1 between", value1, value2, "searchField1");
            return (Criteria) this;
        }

        public Criteria andSearchField1NotBetween(String value1, String value2) {
            addCriterion("search_field1 not between", value1, value2, "searchField1");
            return (Criteria) this;
        }

        public Criteria andSearchField2IsNull() {
            addCriterion("search_field2 is null");
            return (Criteria) this;
        }

        public Criteria andSearchField2IsNotNull() {
            addCriterion("search_field2 is not null");
            return (Criteria) this;
        }

        public Criteria andSearchField2EqualTo(String value) {
            addCriterion("search_field2 =", value, "searchField2");
            return (Criteria) this;
        }

        public Criteria andSearchField2NotEqualTo(String value) {
            addCriterion("search_field2 <>", value, "searchField2");
            return (Criteria) this;
        }

        public Criteria andSearchField2GreaterThan(String value) {
            addCriterion("search_field2 >", value, "searchField2");
            return (Criteria) this;
        }

        public Criteria andSearchField2GreaterThanOrEqualTo(String value) {
            addCriterion("search_field2 >=", value, "searchField2");
            return (Criteria) this;
        }

        public Criteria andSearchField2LessThan(String value) {
            addCriterion("search_field2 <", value, "searchField2");
            return (Criteria) this;
        }

        public Criteria andSearchField2LessThanOrEqualTo(String value) {
            addCriterion("search_field2 <=", value, "searchField2");
            return (Criteria) this;
        }

        public Criteria andSearchField2Like(String value) {
            addCriterion("search_field2 like", value, "searchField2");
            return (Criteria) this;
        }

        public Criteria andSearchField2NotLike(String value) {
            addCriterion("search_field2 not like", value, "searchField2");
            return (Criteria) this;
        }

        public Criteria andSearchField2In(List<String> values) {
            addCriterion("search_field2 in", values, "searchField2");
            return (Criteria) this;
        }

        public Criteria andSearchField2NotIn(List<String> values) {
            addCriterion("search_field2 not in", values, "searchField2");
            return (Criteria) this;
        }

        public Criteria andSearchField2Between(String value1, String value2) {
            addCriterion("search_field2 between", value1, value2, "searchField2");
            return (Criteria) this;
        }

        public Criteria andSearchField2NotBetween(String value1, String value2) {
            addCriterion("search_field2 not between", value1, value2, "searchField2");
            return (Criteria) this;
        }

        public Criteria andSearchField3IsNull() {
            addCriterion("search_field3 is null");
            return (Criteria) this;
        }

        public Criteria andSearchField3IsNotNull() {
            addCriterion("search_field3 is not null");
            return (Criteria) this;
        }

        public Criteria andSearchField3EqualTo(String value) {
            addCriterion("search_field3 =", value, "searchField3");
            return (Criteria) this;
        }

        public Criteria andSearchField3NotEqualTo(String value) {
            addCriterion("search_field3 <>", value, "searchField3");
            return (Criteria) this;
        }

        public Criteria andSearchField3GreaterThan(String value) {
            addCriterion("search_field3 >", value, "searchField3");
            return (Criteria) this;
        }

        public Criteria andSearchField3GreaterThanOrEqualTo(String value) {
            addCriterion("search_field3 >=", value, "searchField3");
            return (Criteria) this;
        }

        public Criteria andSearchField3LessThan(String value) {
            addCriterion("search_field3 <", value, "searchField3");
            return (Criteria) this;
        }

        public Criteria andSearchField3LessThanOrEqualTo(String value) {
            addCriterion("search_field3 <=", value, "searchField3");
            return (Criteria) this;
        }

        public Criteria andSearchField3Like(String value) {
            addCriterion("search_field3 like", value, "searchField3");
            return (Criteria) this;
        }

        public Criteria andSearchField3NotLike(String value) {
            addCriterion("search_field3 not like", value, "searchField3");
            return (Criteria) this;
        }

        public Criteria andSearchField3In(List<String> values) {
            addCriterion("search_field3 in", values, "searchField3");
            return (Criteria) this;
        }

        public Criteria andSearchField3NotIn(List<String> values) {
            addCriterion("search_field3 not in", values, "searchField3");
            return (Criteria) this;
        }

        public Criteria andSearchField3Between(String value1, String value2) {
            addCriterion("search_field3 between", value1, value2, "searchField3");
            return (Criteria) this;
        }

        public Criteria andSearchField3NotBetween(String value1, String value2) {
            addCriterion("search_field3 not between", value1, value2, "searchField3");
            return (Criteria) this;
        }

        public Criteria andOtherField1IsNull() {
            addCriterion("other_field1 is null");
            return (Criteria) this;
        }

        public Criteria andOtherField1IsNotNull() {
            addCriterion("other_field1 is not null");
            return (Criteria) this;
        }

        public Criteria andOtherField1EqualTo(String value) {
            addCriterion("other_field1 =", value, "otherField1");
            return (Criteria) this;
        }

        public Criteria andOtherField1NotEqualTo(String value) {
            addCriterion("other_field1 <>", value, "otherField1");
            return (Criteria) this;
        }

        public Criteria andOtherField1GreaterThan(String value) {
            addCriterion("other_field1 >", value, "otherField1");
            return (Criteria) this;
        }

        public Criteria andOtherField1GreaterThanOrEqualTo(String value) {
            addCriterion("other_field1 >=", value, "otherField1");
            return (Criteria) this;
        }

        public Criteria andOtherField1LessThan(String value) {
            addCriterion("other_field1 <", value, "otherField1");
            return (Criteria) this;
        }

        public Criteria andOtherField1LessThanOrEqualTo(String value) {
            addCriterion("other_field1 <=", value, "otherField1");
            return (Criteria) this;
        }

        public Criteria andOtherField1Like(String value) {
            addCriterion("other_field1 like", value, "otherField1");
            return (Criteria) this;
        }

        public Criteria andOtherField1NotLike(String value) {
            addCriterion("other_field1 not like", value, "otherField1");
            return (Criteria) this;
        }

        public Criteria andOtherField1In(List<String> values) {
            addCriterion("other_field1 in", values, "otherField1");
            return (Criteria) this;
        }

        public Criteria andOtherField1NotIn(List<String> values) {
            addCriterion("other_field1 not in", values, "otherField1");
            return (Criteria) this;
        }

        public Criteria andOtherField1Between(String value1, String value2) {
            addCriterion("other_field1 between", value1, value2, "otherField1");
            return (Criteria) this;
        }

        public Criteria andOtherField1NotBetween(String value1, String value2) {
            addCriterion("other_field1 not between", value1, value2, "otherField1");
            return (Criteria) this;
        }

        public Criteria andOtherField2IsNull() {
            addCriterion("other_field2 is null");
            return (Criteria) this;
        }

        public Criteria andOtherField2IsNotNull() {
            addCriterion("other_field2 is not null");
            return (Criteria) this;
        }

        public Criteria andOtherField2EqualTo(String value) {
            addCriterion("other_field2 =", value, "otherField2");
            return (Criteria) this;
        }

        public Criteria andOtherField2NotEqualTo(String value) {
            addCriterion("other_field2 <>", value, "otherField2");
            return (Criteria) this;
        }

        public Criteria andOtherField2GreaterThan(String value) {
            addCriterion("other_field2 >", value, "otherField2");
            return (Criteria) this;
        }

        public Criteria andOtherField2GreaterThanOrEqualTo(String value) {
            addCriterion("other_field2 >=", value, "otherField2");
            return (Criteria) this;
        }

        public Criteria andOtherField2LessThan(String value) {
            addCriterion("other_field2 <", value, "otherField2");
            return (Criteria) this;
        }

        public Criteria andOtherField2LessThanOrEqualTo(String value) {
            addCriterion("other_field2 <=", value, "otherField2");
            return (Criteria) this;
        }

        public Criteria andOtherField2Like(String value) {
            addCriterion("other_field2 like", value, "otherField2");
            return (Criteria) this;
        }

        public Criteria andOtherField2NotLike(String value) {
            addCriterion("other_field2 not like", value, "otherField2");
            return (Criteria) this;
        }

        public Criteria andOtherField2In(List<String> values) {
            addCriterion("other_field2 in", values, "otherField2");
            return (Criteria) this;
        }

        public Criteria andOtherField2NotIn(List<String> values) {
            addCriterion("other_field2 not in", values, "otherField2");
            return (Criteria) this;
        }

        public Criteria andOtherField2Between(String value1, String value2) {
            addCriterion("other_field2 between", value1, value2, "otherField2");
            return (Criteria) this;
        }

        public Criteria andOtherField2NotBetween(String value1, String value2) {
            addCriterion("other_field2 not between", value1, value2, "otherField2");
            return (Criteria) this;
        }

        public Criteria andOtherField3IsNull() {
            addCriterion("other_field3 is null");
            return (Criteria) this;
        }

        public Criteria andOtherField3IsNotNull() {
            addCriterion("other_field3 is not null");
            return (Criteria) this;
        }

        public Criteria andOtherField3EqualTo(String value) {
            addCriterion("other_field3 =", value, "otherField3");
            return (Criteria) this;
        }

        public Criteria andOtherField3NotEqualTo(String value) {
            addCriterion("other_field3 <>", value, "otherField3");
            return (Criteria) this;
        }

        public Criteria andOtherField3GreaterThan(String value) {
            addCriterion("other_field3 >", value, "otherField3");
            return (Criteria) this;
        }

        public Criteria andOtherField3GreaterThanOrEqualTo(String value) {
            addCriterion("other_field3 >=", value, "otherField3");
            return (Criteria) this;
        }

        public Criteria andOtherField3LessThan(String value) {
            addCriterion("other_field3 <", value, "otherField3");
            return (Criteria) this;
        }

        public Criteria andOtherField3LessThanOrEqualTo(String value) {
            addCriterion("other_field3 <=", value, "otherField3");
            return (Criteria) this;
        }

        public Criteria andOtherField3Like(String value) {
            addCriterion("other_field3 like", value, "otherField3");
            return (Criteria) this;
        }

        public Criteria andOtherField3NotLike(String value) {
            addCriterion("other_field3 not like", value, "otherField3");
            return (Criteria) this;
        }

        public Criteria andOtherField3In(List<String> values) {
            addCriterion("other_field3 in", values, "otherField3");
            return (Criteria) this;
        }

        public Criteria andOtherField3NotIn(List<String> values) {
            addCriterion("other_field3 not in", values, "otherField3");
            return (Criteria) this;
        }

        public Criteria andOtherField3Between(String value1, String value2) {
            addCriterion("other_field3 between", value1, value2, "otherField3");
            return (Criteria) this;
        }

        public Criteria andOtherField3NotBetween(String value1, String value2) {
            addCriterion("other_field3 not between", value1, value2, "otherField3");
            return (Criteria) this;
        }

        public Criteria andRemarkIsNull() {
            addCriterion("remark is null");
            return (Criteria) this;
        }

        public Criteria andRemarkIsNotNull() {
            addCriterion("remark is not null");
            return (Criteria) this;
        }

        public Criteria andRemarkEqualTo(String value) {
            addCriterion("remark =", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotEqualTo(String value) {
            addCriterion("remark <>", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkGreaterThan(String value) {
            addCriterion("remark >", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkGreaterThanOrEqualTo(String value) {
            addCriterion("remark >=", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkLessThan(String value) {
            addCriterion("remark <", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkLessThanOrEqualTo(String value) {
            addCriterion("remark <=", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkLike(String value) {
            addCriterion("remark like", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotLike(String value) {
            addCriterion("remark not like", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkIn(List<String> values) {
            addCriterion("remark in", values, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotIn(List<String> values) {
            addCriterion("remark not in", values, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkBetween(String value1, String value2) {
            addCriterion("remark between", value1, value2, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotBetween(String value1, String value2) {
            addCriterion("remark not between", value1, value2, "remark");
            return (Criteria) this;
        }

        public Criteria andTaxCodeIsNull() {
            addCriterion("tax_code is null");
            return (Criteria) this;
        }

        public Criteria andTaxCodeIsNotNull() {
            addCriterion("tax_code is not null");
            return (Criteria) this;
        }

        public Criteria andTaxCodeEqualTo(String value) {
            addCriterion("tax_code =", value, "taxCode");
            return (Criteria) this;
        }

        public Criteria andTaxCodeNotEqualTo(String value) {
            addCriterion("tax_code <>", value, "taxCode");
            return (Criteria) this;
        }

        public Criteria andTaxCodeGreaterThan(String value) {
            addCriterion("tax_code >", value, "taxCode");
            return (Criteria) this;
        }

        public Criteria andTaxCodeGreaterThanOrEqualTo(String value) {
            addCriterion("tax_code >=", value, "taxCode");
            return (Criteria) this;
        }

        public Criteria andTaxCodeLessThan(String value) {
            addCriterion("tax_code <", value, "taxCode");
            return (Criteria) this;
        }

        public Criteria andTaxCodeLessThanOrEqualTo(String value) {
            addCriterion("tax_code <=", value, "taxCode");
            return (Criteria) this;
        }

        public Criteria andTaxCodeLike(String value) {
            addCriterion("tax_code like", value, "taxCode");
            return (Criteria) this;
        }

        public Criteria andTaxCodeNotLike(String value) {
            addCriterion("tax_code not like", value, "taxCode");
            return (Criteria) this;
        }

        public Criteria andTaxCodeIn(List<String> values) {
            addCriterion("tax_code in", values, "taxCode");
            return (Criteria) this;
        }

        public Criteria andTaxCodeNotIn(List<String> values) {
            addCriterion("tax_code not in", values, "taxCode");
            return (Criteria) this;
        }

        public Criteria andTaxCodeBetween(String value1, String value2) {
            addCriterion("tax_code between", value1, value2, "taxCode");
            return (Criteria) this;
        }

        public Criteria andTaxCodeNotBetween(String value1, String value2) {
            addCriterion("tax_code not between", value1, value2, "taxCode");
            return (Criteria) this;
        }

        public Criteria andFiscalCodeIsNull() {
            addCriterion("fiscal_code is null");
            return (Criteria) this;
        }

        public Criteria andFiscalCodeIsNotNull() {
            addCriterion("fiscal_code is not null");
            return (Criteria) this;
        }

        public Criteria andFiscalCodeEqualTo(String value) {
            addCriterion("fiscal_code =", value, "fiscalCode");
            return (Criteria) this;
        }

        public Criteria andFiscalCodeNotEqualTo(String value) {
            addCriterion("fiscal_code <>", value, "fiscalCode");
            return (Criteria) this;
        }

        public Criteria andFiscalCodeGreaterThan(String value) {
            addCriterion("fiscal_code >", value, "fiscalCode");
            return (Criteria) this;
        }

        public Criteria andFiscalCodeGreaterThanOrEqualTo(String value) {
            addCriterion("fiscal_code >=", value, "fiscalCode");
            return (Criteria) this;
        }

        public Criteria andFiscalCodeLessThan(String value) {
            addCriterion("fiscal_code <", value, "fiscalCode");
            return (Criteria) this;
        }

        public Criteria andFiscalCodeLessThanOrEqualTo(String value) {
            addCriterion("fiscal_code <=", value, "fiscalCode");
            return (Criteria) this;
        }

        public Criteria andFiscalCodeLike(String value) {
            addCriterion("fiscal_code like", value, "fiscalCode");
            return (Criteria) this;
        }

        public Criteria andFiscalCodeNotLike(String value) {
            addCriterion("fiscal_code not like", value, "fiscalCode");
            return (Criteria) this;
        }

        public Criteria andFiscalCodeIn(List<String> values) {
            addCriterion("fiscal_code in", values, "fiscalCode");
            return (Criteria) this;
        }

        public Criteria andFiscalCodeNotIn(List<String> values) {
            addCriterion("fiscal_code not in", values, "fiscalCode");
            return (Criteria) this;
        }

        public Criteria andFiscalCodeBetween(String value1, String value2) {
            addCriterion("fiscal_code between", value1, value2, "fiscalCode");
            return (Criteria) this;
        }

        public Criteria andFiscalCodeNotBetween(String value1, String value2) {
            addCriterion("fiscal_code not between", value1, value2, "fiscalCode");
            return (Criteria) this;
        }
    }

    /**
     *
     * table accounting_unified_customer_order
     *
     * do_not_delete_during_merge Wed Nov 18 10:14:38 CST 2020
     */
    public static class Criteria extends GeneratedCriteria {
        protected Criteria() {
            super();
        }
    }

    /**
     *
     * table accounting_unified_customer_order
     *
     * Wed Nov 18 10:14:38 CST 2020
     */
    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}